<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:36:52 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio (HttpCore NIO 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../org/apache/http/nio/package-summary.html" target="classFrame">org.apache.http.nio</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ContentDecoder.html" title="interface in org.apache.http.nio" target="classFrame"><I>ContentDecoder</I></A>
<BR>
<A HREF="ContentEncoder.html" title="interface in org.apache.http.nio" target="classFrame"><I>ContentEncoder</I></A>
<BR>
<A HREF="FileContentDecoder.html" title="interface in org.apache.http.nio" target="classFrame"><I>FileContentDecoder</I></A>
<BR>
<A HREF="FileContentEncoder.html" title="interface in org.apache.http.nio" target="classFrame"><I>FileContentEncoder</I></A>
<BR>
<A HREF="IOControl.html" title="interface in org.apache.http.nio" target="classFrame"><I>IOControl</I></A>
<BR>
<A HREF="NHttpClientConnection.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpClientConnection</I></A>
<BR>
<A HREF="NHttpClientEventHandler.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpClientEventHandler</I></A>
<BR>
<A HREF="NHttpClientHandler.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpClientHandler</I></A>
<BR>
<A HREF="NHttpClientIOTarget.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpClientIOTarget</I></A>
<BR>
<A HREF="NHttpConnection.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpConnection</I></A>
<BR>
<A HREF="NHttpConnectionFactory.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpConnectionFactory</I></A>
<BR>
<A HREF="NHttpMessageParser.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpMessageParser</I></A>
<BR>
<A HREF="NHttpMessageWriter.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpMessageWriter</I></A>
<BR>
<A HREF="NHttpServerConnection.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpServerConnection</I></A>
<BR>
<A HREF="NHttpServerEventHandler.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpServerEventHandler</I></A>
<BR>
<A HREF="NHttpServerIOTarget.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpServerIOTarget</I></A>
<BR>
<A HREF="NHttpServiceHandler.html" title="interface in org.apache.http.nio" target="classFrame"><I>NHttpServiceHandler</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ContentDecoderChannel.html" title="class in org.apache.http.nio" target="classFrame">ContentDecoderChannel</A>
<BR>
<A HREF="ContentEncoderChannel.html" title="class in org.apache.http.nio" target="classFrame">ContentEncoderChannel</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
